Search Traces

Operations of the Search API. Paths are relative to your deployment's API host.

GET /api/search-api/traces

List search traces for the authenticated organization

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
limitquerynumbernoMaximum number of traces to return
offsetquerynumbernoOffset for pagination
sinceDaysquerynumbernoShow traces from the last N days
StatusDescriptionBody
200application/json TracesListResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/search-api/traces/stats

Get search performance statistics

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
sinceDaysquerynumbernoCalculate stats for the last N days
StatusDescriptionBody
200application/json SearchStatsResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto